<?php
	profile :: is_user(true);
	
	if(isset($_POST['status-text'])) {
		if($_POST['access'] == $user['access']) {
			$text = system :: check(mb_substr(system :: text($_POST['status-text']), 0, 300,'UTF-8'));
			if($text != $user['status']) {
				DB :: $pdo -> query("UPDATE `users` SET `status` = ? WHERE `id` = ? LIMIT 1;", array(emoji :: Encode($text), $user['id']));
			}
			if(AJAX) {
                header("Cache-Control: no-cache, must-revalidate"); // говорим браузеру что-бы он не кешировал эту страницу
                header("Pragma: no-cache");
                header("Content-type: application/json");
			    die(json_encode(['emoji'=>emoji :: Text($text),'text'=>emoji :: Decode($text)], JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP));
			}
			system :: redirect("Статус успешно изменен.", profile :: getLink($user));
		} else { $e = "Не верный ключ доступа."; }
	}	
	
	$title = $l = "Редактировать статус";
	$lBack = profile :: getLink($user);
	require (CORE.'head.php');
	
	if(isset($e)){system :: show($e);}
	
	?>
	<div class="app-block">
	<div class="list">
		<div class="_gray">
			<label for="index-status" class="_dbl">Введите текст статуса:</label>
		</div>
		<form method="post" action="">
			<div>
				<input type="text" class="main-input _w-100" maxlength="300" value="<?=Emoji :: Decode($user['status'])?>" id="index-status" name="status-text">
			</div>
			<div class="_center _padd-top">
				<input type="hidden" name="access" value="<?=$user['access']?>">
				<input type="submit" class="main-btn _w-100" name="cfms" value="Сохранить">
			</div>
		</form>
	</div>
	</div>
	<?php
	require (CORE.'foot.php');